.landing-page-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100vh;
  width: 100%;
  background: #fff;
  text-align: center;
  padding: 24px;
  flex: 1;
  flex-direction: column;
}
.landing-page-header {
  text-align: center;
  font-variant-numeric: lining-nums proportional-nums;
  font-family: "Be Vietnam Pro";
  font-size: 24px;
  font-style: normal;
  font-weight: 800;
  line-height: 32px;
  letter-spacing: -0.12px;
  background: linear-gradient(299deg, #e51866 35.97%, #ff5000 81.36%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.landing-page-subheader {
  color: #000;
  text-align: center;
  font-variant-numeric: lining-nums proportional-nums;
  font-family: "Be Vietnam Pro";
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: 24px;
}
.terms-agreement-text {
  color: #aaa;
  text-align: center;
  font-family: "Roboto";
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
}
.terms-link {
  color: #0057ff;
  font-family: "Roboto";
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: none;
  text-decoration-thickness: auto;
  text-underline-offset: auto;
  text-underline-position: from-font;
}
.signin-btn-shop-now {
  display: flex;
  height: 56px;
  min-height: 45px;
  border-radius: 8px;
  gap: 8px;
  padding: 12px 16px;
  align-self: stretch;
  justify-content: center;
  align-items: center;
  margin-top: 24px;
  width: 100%;
}
.landing-Shop-Now {
  display: block;
  width: 100%;
  height: 56px !important;
  text-align: center;
  color: #000;
  font-family: "Roboto";
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: 16px;
  letter-spacing: 0.2px;
  text-transform: capitalize !important;
}
.shop_now_text {
  color: #000;
  text-align: center;
  font-family: "Roboto";
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: 16px; /* 100% */
  letter-spacing: 0.2px;
}
.sign_in_text {
  color: #000;
  text-align: center;
  font-family: "Roboto";
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: 16px; /* 100% */
  letter-spacing: 0.2px;
}
.custom-indicators {
  display: flex;
  justify-content: center;
  gap: 8px;
}

.custom-bullet {
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background-color: lightgray;
  pointer-events: none;
  transition: all 0.3s ease;
}

.custom-bullet.active {
  width: 24px;
  border-radius: 12px;
  background-color: black;
}

/* For web / large screens, limit max-width */
@media (min-width: 768px) {
  .landing-page-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100vh;
    text-align: center;
    padding: 24px;
    max-width: 720px; /* constrain width */
    margin: 0 auto;
    margin-top: 40px;
    margin-bottom: 40px;
    border-radius: 8px;
  }
}
.landing-page-wrapper {
  background-color: #f7f7f7; /* color for the outer area */
  min-height: 100vh !important; /* full height */
  display: flex;
  justify-content: center; /* center horizontally */
  flex-direction: column;
}
